Olet tarkastelemassa seuraavan version ohjesisältöä::

Support levels

AEM Forms on JEE server can be set up using any combination of supported operating systems, application servers, databases, database drivers, JDK, LDAP servers, and email servers.

This document lists the supported client and server platforms for AEM Forms on JEE. Adobe provides several levels of support, both for our recommended configurations and for other configurations. The document also lists other supported software and their version, exceptions, patch definitions, and third-party software patch support policy.

Huomautus:

For a complete list of exceptions to supported server platforms, see Exceptions to supported server platforms.

Huomautus:

AEM Forms on JEE supports only English, French, German, and Japanese versions of the supported operating systems and applications.   

Recommended configurations

Adobe recommends these configurations and provides full or restricted support as part of the standard software maintenance agreement:

Support Level Description
A: Supported
Adobe provides full support and maintenance for this configuration. This configuration is covered by Adobe's quality assurance process.
R: Restricted Support Adobe provides full support for this configuration after certain prerequisites are met. Contact Adobe enterprise support to learn about the prerequisites and raise a request for the support.

Unsupported configurations

Support Level Description
E: Expected to work The configuration is expected to work, and there are no reports to the contrary.
Z: Not supported The configuration is not supported. Adobe does not make any statements about whether the configuration works, and does not support it.

Production environments

 Platform

Support level

Supported Patch Definitions

Microsoft Windows Server 2012 R2

A: Supported

Service packs and critical updates

Microsoft® Windows Server 2012

E: Expected to work

Service packs and critical updates

Oracle Solaris™ 11 [3] [9]

A: Supported

Updates and patches

Red Hat® Enterprise Linux® 6.5 (Kernel 2.6)

A: Supported

Minor releases, cumulative updates, and critical updates

Red Hat Enterprise Linux 7 (Kernel 3.x)

A: Supported

Minor releases, cumulative updates, and critical updates

IBM® AIX® 7.2 [1]

A: Supported

Technology levels, service packs, and program temporary fixes (PTFs)

SUSE® Linux® Enterprise Server 12

A: Supported

Service packs, cumulative patches, and critical security updates

Oracle Linux® 7 Update 3 A: Supported Service packs, cumulative patches, and critical security updates
CentOS 7 [11] A: Supported Service packs, cumulative patches, and critical security updates

Huomautus:

AEM Forms on JEE supports only 64-bit operating systems.

Virtualized environment

You can run AEM Forms on JEE on a physical machine or a virtual environment. However, if you encounter any issue with AEM Forms on a virtual environment, try replicating the issue on a physical machine. If the issue persists on the physical machine, contact Adobe Support for a resolution. For issues that do not replicate on the physical machine, contact your virtual environment vendor.  

Development environments

Platform (Base Version)

Support Level

Supported Patch Definitions

Microsoft® Windows® 10 [1] [2]

E: Expected to work

Service pack and critical updates

Microsoft® Windows® 8.1 [1] E: Expected to work Service pack and critical updates

Huomautus:

  1. AEM Forms on JEE supports only 64-bit operating systems.
  2. PDF Generator service is not supported on Microsoft Windows 10 and Microsoft Windows 8.1.

Java Virtual Machines (JVM)

Platform

Support Level

Supported Patch Definitions

Oracle Java™ SE 8 (64 bit)

A: Supported

Minor releases and updates

IBM® J9 Virtual Machine (build 2.8, JRE 1.8.0) A: Supported Minor releases and updates

IBM® J9 Virtual Machine (build 2.6 & 2.7, JRE 1.7.0)  

A: Supported

Minor releases and updates

Huomautus:

AEM Forms on JEE supports only 64-bit JVMs on production environments.

Application servers

  Platform

Support Level

Supported Patch Definitions

Oracle WebLogic Server 12.1.3+ (12c) [2] [4] [8]

A: Supported

Service pack and critical updates

Oracle WebLogic Server 12.2.1 (12c R2) [2] [4] [8]

A: Supported

Service pack and critical updates

IBM® WebSphere® Application Server 9.0 [13] A: Supported Service pack and critical updates

IBM® WebSphere® Application Server 8.5.5 [6] [8] [12]

A: Supported

Service pack and critical updates

JBoss® Enterprise Application Platform (EAP) 6.4.0 [1] [4] [5] [7] [8] [14]

A: Supported

Patches and cumulative patches

Huomautus:

IBM® WebSphere® clusters are only supported in Network Deployment editions.

Exceptions to supported server platforms

Consider the following exceptions while choosing a platform to set up your AEM Forms on JEE server.

  1. AEM Forms on JEE doesn’t support Oracle WebLogic and JBoss® on IBM® AIX®.
  2. AEM Forms on JEE doesn’t support Oracle WebLogic and IBM® WebSphere® with MySQL.
  3. AEM Forms on JEE doesn’t support Oracle Solaris™ with Intel® architecture (only SPARC® is supported).
  4. AEM Forms on JEE doesn’t support Oracle WebLogic and JBoss on SUSE Linux Enterprise Server 12. Only IBM WebSphere 8.5.5.5 is supported on SUSE Linux Enterprise Server 12.
  5. AEM Forms on JEE doesn’t support any JDK with JBoss® other than Oracle Java™ SE.
  6. AEM Forms on JEE doesn’t support any JDK with IBM® WebSphere® other than IBM® JDK.
  7. AEM Forms on JEE doesn’t support IBM® DB2 with JBoss®.
  8. CRX-repository supports persistence of type TarMK, MongoDB, and relational databases (RDBMK). You cannot have 2 different database systems between the application server and the CRX-repository.
  9. AEM Forms on JEE doesn’t support IBM Content Manager connector client version 8.5 on Oracle Solaris 11.
  10. AEM Forms on JEE doesn’t support IBM FileNet 5.2's process engine.
  11. AEM Forms on JEE does not support WebSphere application server on CentOS.
  12. IBM WebSphere Application Server 8.5.5 is supported for JRE 1.7 only. 
  13. IBM WebSphere Application Server 9.0 is supported for JRE 1.8 only.
  14. AEM Forms on JEE doesn’t support JBoss role based access control (RBAC).

In addition, consider the following points while choosing software for Adobe AEM Forms on JEE deployments:

  • AEM Forms on JEE supports updates, patches, and fix packs on top of the specified major and minor version of supported software. However, update to the next major or minor version is not supported unless specified.
  • Cluster-based installations do not support TarMK persistence. For information about supported persistence, see Choosing a persistence type for an AEM Forms installation.
  • AEM Forms on JEE supports various third-party software as per our Third-party software support Policy.
  • AEM Forms on JEE supports platforms as per the support provided by third-party vendors. Some combinations may not be allowed by third-party vendors. For example, many vendors have not certified their application servers with IBM® DB2 10.5, and Oracle WebLogic 12c is not supported with Oracle Solaris 10 update 8 and below. As a result, AEM Forms on JEE also doesn’t support these combinations. To ensure that you choose the supported software versions, check the support matrix for the third-party vendors as well.
  • AEM Forms on JEE does not support TarMK Cold Standby.
  • AEM Forms on JEE does not support vertical clustering.
  • AEM Forms on JEE doesn’t support IBM Content Manager connector client version 8.4.3 on Oracle Solaris 11.
  • AEM Forms on JEE doesn’t support IBM FileNet 5.2's process engine.
  • AEM Forms on JEE doesn’t support MySQL database on a clustered environment.

Support for Apache Cordova 6.4.0

AEM Forms App now supports the Apache Cordova 6.4.0. Following are the platform-specific versions of Cordova that are supported: 

  • Cordova iOS 4.3.0
  • Cordova Android 6.0.0
  • Cordova Windows 4.4.3

Databases and CRX Persistence

AEM persistence support

Platform

 Description

Support Level AEM 6.3

Support Level AEM Forms 6.3 on JEE

File System

Repository Microkernel (TAR MK files)

Supported

Supported (Only for AEM persistence)

MongoDB Enterprise 3.0

Repository Microkernel

Supported

Supported

MongoDB Enterprise 3.2

Repository Microkernel

Supported

Supported

IBM DB2 10.5 

Repository Microkernel

Supported

Supported

IBM DB2 11.1 Repository Microkernel Supported Supported

Oracle Database 12c

Repository Microkernel

Supported

Supported

MS SQL Server 2014

Repository Microkernel

Expected to work

Supported

MS SQL Server 2016

Repository Microkernel

Expected to work

Supported

  • MongoDB is third-party software and is not included in the AEM licensing package. For more information see the MongoDB licensing policy page.
  • In order to get the most of your AEM deployment, Adobe recommends licensing the MongoDB Enterprise version in order to benefit from professional support.
  • Adobe Customer Care will assist qualifying issues related to the usage of MongoDB with AEM. For more information, see the MongoDB for Adobe Experience Manager page.
  • 'File System' includes block storage that is POSIX compliant. This includes network storage technology. Mind that file system performance might vary and influences the overall performance. It is recommended to load test AEM in combination with the network/remote file system.
  • Only MongoDB Storage Engine WiredTiger is supported.
  • MongoDB Sharding is not supported in AEM.
  • AEM Forms on JEE does not support MySQL for RDBMK persistence.
  • The Document Security module does not use Content Repository. It implies, if you are using only Document Security and do not plan to use HTML Workspace, HTML5 forms, or adaptive forms, then do not install Content Repository.

DATABASE support

Platform

 Description

Support Level AEM 6.3

Support Level AEM Forms 6.3 on JEE

IBM DB2 10.5 

Repository Microkernel

Supported

Supported

IBM DB2 11.1 Repository Microkernel Supported Supported

Oracle Database 12c

Repository Microkernel

Supported

Supported

MySQL 5.5

Repository Microkernel

Expected to work

Supported

MS SQL Server 2012 Repository Microkernel Expected to work Supported

MS SQL Server 2014

Repository Microkernel

Expected to work

Supported

MS SQL Server 2016

Repository Microkernel

Expected to work

Supported

Database drivers

Database  

Platform

Supported Patch Definitions

MySQL

MySQL Connector/J 5.1.30

mysql-connector-java-5.1.30-bin.jar(version 5.1.30)

Supplied with AEM Forms on JEE installation

Microsoft SQL Server

Microsoft® SQL Server JDBC driver 4.2

sqljdbc4.jar (version 4.0 for WebSphere; version 4.2 for JBoss and Weblogic)

Supplied with AEM Forms on JEE installation.

Oracle

Oracle Database 12.1.0.2 JDBC driver

ojdbc7.jar (version 12.1.0.2)

Supplied with AEM Forms on JEE installation.

IBM DB2

IBM® DB2 Universal JDBC driver 4.16.53 (db2jcc4.jar)

Download the driver from IBM Website

LDAP servers (optional)

Product (Base Version)

Supported Patch Definitions

Oracle Unified Directory (OUD) 11g Release 2 Service packs

Oracle Directory Server Enterprise Edition 7.0

Service packs

Microsoft® Active Directory 2012

Updates provided with operating system

Microsoft Active Directory Lightweight Directory Services 2012

Updates provided with operating system

IBM® Tivoli Directory Server 6.3

Feature packs and interim fixes

Novell eDirectory 8.8.7

Product updates

IBM Lotus Domino 8.5.0

Maintenance release and fix packs

OpenLDAP 2.3.43-12.el5_5.3.i386

-

Email servers (optional)

Product
IBM Lotus Domino 9.0
Microsoft Exchange 2013
Novel GroupWise 7

Content managers and corresponding connectors

Product
Version
IBM Content Manager Server 8.5 Fix pack 2
IBM Content Manager Client

Version 8.5 is supported

EMC Documentum 6.7 and 7.0
IBM Filenet 5.0 and 5.2 [10]
Microsoft Sharepoint 2007, 2010, and 2013

Software support for PDF Generator

Product

Supported Formats for Conversion to PDF

Adobe® Acrobat® DC Latest XPS, image formats (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF, and DWF

Adobe® Acrobat® DC Pro

XPS, image formats (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF, and DWF

Microsoft® Office 2016 DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF, and TXT
Microsoft® Office 2013 DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF, and TXT
WordPerfect X7 WP, WPD
Microsoft® Office Visio 2013 VSD
Microsoft® Office Visio 2016 VSD
Microsoft® Publisher 2013 PUB
Microsoft® Publisher 2016 PUB
Microsoft® Project 2013 MPP
Microsoft® Project 2016 MPP
OpenOffice 4.1.2 ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX,image formats (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, RTF, and TXT
OpenOffice 3.4 ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX,image formats (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, RTF, and TXT

Huomautus:

PDF Generator supports only English, French, German, and Japanese versions of the supported operating systems and applications.

In addition:

  • PDF Generator is not supported on Windows 2008 R1. PDF Generator on Windows requires Windows 2008 R2 SP1 and later.
  • PDF Generator requires a 32-bit version of Acrobat DC to perform the conversion.
  • PDF Generator does not support Microsoft Office 365.
  • PDF Generator supports only Microsoft Office Professional Plus (32-bit version only).
  • PDF Generator support only 32-bit version of software packages required for conversion.
  • The HTML2PDF service is deprecated on AIX.
  • PDF Generator conversions for OpenOffice are supported only on Windows, Linux, and Solaris.
  • The OCR PDF, Optimize PDF, and Export PDF features are supported only on Windows.
  • Acrobat DC Pro installer is bundled with AEM Forms to enable PDF Generator functionality. Acrobat DC Pro should only be accessed programmatically by AEM Forms, during the term of the AEM Forms license, for use with AEM Forms PDF Generator.  For more information, refer to AEM Forms product description as per your deployment (On-Premise or Managed Services)”

Also, see Install and Configure PDF Generator for installation instructions and known issues.

Exceptions to accessibility support

The following subsystems of AEM Forms are not 508 compliant:

  • Adaptive Forms Authoring UI
  • Forms Manager Authoring UI
  • Correspondence Management Authoring UI
  • Admin UI (Administration Console UI)

System Requirements for AEM Forms on JEE

Workbench

Huomautus:

Both 32-bit and 64-bit operating systems are supported.

Platform

Supported Patch Definitions

Microsoft® Windows® 10

(Enterprise, Pro, Basic)

Service packs and critical updates

Microsoft® Windows® 8.1

(Enterprise, Pro, Basic)

Service packs and critical updates

Microsoft® Windows® 2012 Server R2 Service packs and critical updates
  • Disk space for installation: 1.7 GB for Workbench only, 2.7 GB on a single drive for a full installation of Workbench, Designer, and the samples assembly 400 MB for temporary install directories - 200 MB in the user temp directory and 200 MB in the Windows temporary directory

Huomautus:

If all of these locations reside on a single drive, there must be 1.5 GB of space availableduring installation. The files copied to the temporary directories are deleted when installation is complete.

  • Memory for running Workbench: 2 GB of RAM
  • Hardware requirement: Intel® Pentium® 4 or AMD equivalent, 1 GHz processor
  • Minimum 1024 X 768 pixels or greater monitor resolution with 16-bit color or higher
  • TCP/IPv4 or TCP/IPv6 network connection to the AEM Forms on JEE server

Huomautus:

You must have Administrative privileges to install Workbench on Windows. If you are installing using a non-administrator account, the installer will prompt you for the credentials for an appropriate account.

Designer

Note: To install Designer on Windows, run the installer with Administrative privileges.
  • Microsoft Windows Server 2012, Microsoft Windows 10, and Microsoft Windows 8.1
    • 1 GHz or faster processor with support for PAE, NX, and SSE2.
    • 1 GB of RAM for 32-bit or 2 GB of RAM for 64-bit OS
    • 16 GB disk space for 32-bit or 20 GB disk space for 64-bit OS
  • Graphics memory – 128 MB of GPU (256 MB recommended)
  • 2.35 GB of available hard-disk space
  • DVD-ROM drive
  • Internet Explorer 10 or 11; Firefox 45.x
  • 1024 X 768 pixels or greater monitor resolution
  • Video hardware acceleration (optional)
  • Acrobat Pro DC, Acrobat Standard DC, or Adobe Acrobat Reader DC.

Adobe Acrobat and Adobe Reader

Acrobat and Adobe Reader (Base)

Supported Patch Definitions

Acrobat DC (Continuous track)
Version 15.008.20082 and later
Acrobat DC (Classic track) Version 15.006.30066 and later

Huomautus:

The Acrobat DC product family introduces two tracks for both Acrobat and Reader which are essentially different products: “Classic” and “Continuous.” For details and a comparison of the two tracks, see http://www.adobe.com/go/acrobatdctracks.

Desktops

Browser (Base)

Support level

Supported Patch Definitions

Windows® Internet Explorer 11

A: Supported

Service packs and updates

Microsoft Edge

A: Supported

Service packs and updates

Mozilla Firefox 45.x

A: Supported

All updates

Google Chrome 46+

A: Supported

All updates

Apple Safari 10.0 A: Supported All updates

Apple Safari 9.0

A: Supported

Minor revisions

Google Chrome and Firefox on MAC OS X

A: Supported

All updates

Huomautus:

Some browser-related exceptions for desktops are as follows:

  • Most modern browsers no longer support NPAPI-based plug-ins. For information about how it impacts AEM Forms applications and workflows, see Discontinuation of NPAPI browser plugins and its impact.
  • Internet Explorer 10 is supported for displaying published content. It is not supported for creating or authoring content.
  • Safari is supported only on Macintosh OS X.
  • AEM Forms on JEE UIs support only the desktop mode in Internet Explorer 10 and Internet Explorer 11. App mode is not supported.
  • Workspace supports Safari 5.1 on Macintosh OS X 10.6 and 10.7 with Acrobat DC or later versions. For more information about Safari 5.1 compatibility with Adobe Reader, Acrobat, see http://helpx.adobe.com/x-productkb/multi/safari-5-1-incompatible-reader.html.
  • Administration Console is not supported on Safari.
  • Correspondence Management does not support Windows® Internet Explorer 9.0 for AEM 6.1 forms.
  • Forms portal supports JAWS 14.0 screen reader software on Internet Explorer 10 for accessibility.

Mobile clients

Browser (Base)

Supported Patch Definitions

Chrome on Android™ 4.1.2 and above

All updates

Safari on iOS 9 and above All  updates

Safari on iOS 8 and above

All updates

BlackBerry browser  on Blackberry Z30 and Q10 devices only All updates
Internet Explorer on Windows 10 All updates
Microsoft Edge
All updates
Native Andriod browser on Android™ 4.4 and above All updates

Huomautus:

Some browser-related exceptions for mobile clients are as follows:

  • Forms Portal is supported on Safari on iPad only.
  • Blackberry browser supports only adaptive forms.
     

AEM Forms app (Previously known as Mobile Workspace)

 OS (Base)

Supported Patch Definitions

Apple iOS 8.4 and above All iOS updates
Apple iOS 9 and above All iOS updates
Android 5.0 Lollipop, and above
All Android updates
Windows 10 All Windows updates

Mobile device support

AEM Forms app is available on the following platforms:

Platform Supported Devices
Apple iOS Apple iPhone, iPad, iPad Air, and iPad mini running iOS 8.4 and above.
Google Android Android Lollipop and above [API Level 19 and above]. AEM Forms app is certified on 7- and 10-inch Samsung Galaxy tablets and 7-inch Google Nexus tablet and popular smartphones.
Microsoft Windows Microsoft Surface devices, tablets, laptops, and desktops running Microsoft Windows 10 operating system.

Adobe Flash Player

Flash Player (Base)

Supported Patch Definitions

Flash Player latest version

Minor versions and updates

Adobe Document Security Extension for Microsoft Office

Click here to see the system requirements for Adobe Document Security Extension for Microsoft® Office.

Adobe Central Output Server

AEM Forms on JEE supports Adobe® Central Output Server 5.7.1. For more information, see Adobe Central Output Server upgrade FAQ.

AEM Forms on JEE does not support Adobe Central Output Server running on Ubuntu Linux and CentOS.

 

Exceptions to client support

Microsoft® Windows® 2012 is not supported for all specified client-side software except Reader and Acrobat.

Also, AEM Forms on JEE supports updates, patches, and fix packs on top of the specified major and minor version of supported software. However, update to the next major or minor version is not supported unless specified.

Third-party patch support policy

The third-party software requirements for AEM Forms on JEE are documented in the “System Requirements” section of their respective product documents. All documentation can be accessed from http://adobe.com/go/learn_aemforms_documentation_63

AEM Forms on JEE’s third-party reference platforms state the specific patch level of third-party infrastructure that was current during the development and release of AEM Forms on JEE, and from the minimum patch/service pack level of the infrastructure supported by that version of AEM Forms on JEE. 

Adobe supports urgent or recommended patches issued by third-party vendors upon their release assuming that third-party vendors guarantee backward compatibility with the versions that AEM Forms on JEE supports. Adobe will only support patches released after the minimum patch level stated in the AEM Forms on JEE documentation.

In some cases, Adobe does not support third-party updates that change major functionality, and thus do not support full backward compatibility. For details on the supported updates, see Supported patch definitions for specific vendor products and the patch types Adobe supports.

Under circumstances beyond Adobe’s control, third-party patches that claim backward compatibility may have negative impact on the Adobe products or customer environments. In such cases, Adobe recommends that customers assess the impact of any urgent patch from a third party before applying them to critical systems. Adobe will work with third parties using reasonable business efforts to resolve such issues, either through normal Adobe support programs or by third parties rectifying the issue in their patch. This does not guarantee that a newly released third-party patch that will be supported by Adobe will work as documented by the vendor or with AEM Forms on JEE.

Adobe reserves the right to change the third-party reference platforms supported by a AEM Forms on JEE release and their supported patch definitions at any given point.

Additional information for third-party patches can also be found by searching the Adobe Enterprise Support site for knowledgebase articles related to your product.

Lisensoitu Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License -lisenssin mukaan.  Creative Commons -lisenssien ehdot eivät koske Twitter™- ja Facebook-viestejä.

Lakisääteiset ilmoitukset   |   Online-tietosuojakäytäntö